Bug 982775 - Pop-up for elements outside jBPM runtime in BPMN2 process
Pop-up for elements outside jBPM runtime in BPMN2 process
Status: CLOSED WONTFIX
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
All All
low Severity medium
: ---
: ---
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 17:04 EDT by smahajan@redhat.com
Modified: 2015-12-10 10:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 10:29:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smahajan@redhat.com 2013-07-09 17:04:08 EDT
Current Scenario: 

If we try to import a BPMN2 process created in other BPM suites like Bizagi, Intalio, SoftwareAG, that contain elements not supported by our jBPM runtime, we are able to open it in Eclipse JBDS however it does not open in JBoss business central a.k.a. Web-designer.

Currently, Eclipse JBDS supports the entire BPMN2 specification for the ‘process modeling conformance’ and, support a sub-set of the complete specification for ‘process execution conformance’ as defined by our jBPM runtime. Hence Eclipse JBDS is able to view the model although not execute it outside the jBPM stencil set.

Web-designer on the other hand, is not able to open the business process if it has elements outside the jBPM stencil set. Currently it throws an exception in the server.log file indicating that the element is not supported by jBPM runtime.

Proposed Scenario:

If a user tries to open a BPMN2 business process created in other proprietary BPM suites, he should get a pop-up message in case the process contains elements outside the jBPM stencil set.

The pop-up should list the elements in the process being loaded, that are not currently supported by jBPM runtime. This would help the user to identify which elements our product (JBoss) does not support currently in a more visual and user appealing way, than going through the raw logs.
Comment 2 Sona Mala 2013-11-29 04:20:48 EST
This bugzilla is solved by this issue (partially):
https://bugzilla.redhat.com/show_bug.cgi?id=1006734
Comment 5 Jeremy Lindop 2015-12-10 08:45:27 EST
Tiho - I wonder whether we should close this with "Won't Fix", as it's quite old, and I imagine we won't be fixing it.
Comment 6 Tihomir Surdilovic 2015-12-10 10:29:16 EST
Jeremy I agree. closing.

Note You need to log in before you can comment on or make changes to this bug.